#
# spec file for package koffice (Version 1.1.1)
# 
# Copyright  (c)  2002  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile kde2-devel-packages kdelibs-devel-doc kdoc python python-devel qt-devel-doc
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel kdelibs-devel-doc kdoc less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libxml2-devel libxslt libxslt-devel libz m4 make man mesa mesa-devel mesaglut mesaglut-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg openssl openssl-devel pam pam-devel patch perl ps python python-devel qt qt-devel qt-devel-doc qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         koffice
Copyright:    GPL
Group:        X11/KDE/Applications
Provides:     kivio,kugar
Obsoletes:    kivio,kugar,koffice-2.0,koffice-1.1rc1
Summary:      The Office Suite for KDE 2
Version:      1.1.1
Release:      20
BuildRoot:    /var/tmp/%{name}-buildroot
Source0:      koffice-%{version}.tar.bz2
Source4:      api_docu_description
Patch0:       koffice-%{version}.dif
Patch1:       kdoc.dif
Patch2:       alpha.dif

%description
Koffice is an eager project concerned with the creation of a free office suite
for KDE 2. It contains a word processor, a presentation program, a spreadsheet
and much more. All programs work nicely together using the KDE 2 dcopserver.

Authors:
--------
    The KDE Team <kde@kde.org>

SuSE series: k2de

%package devel-doc
Version:      1.1.1
Release:      20
Requires:     koffice-devel kdelibs-devel-doc
Obsoletes:    koffice-2.0,koffice-1.1rc1
Summary:      Class reference documentation for KOffice libs and applications
Group:        X11/KDE/Development

%description devel-doc
The package contains the class reference documentation for KOffice libs and applications in html format. It will be integrated to the KDE API documentation inside the SuSE help center.

Authors:
--------
    The KDE Team <kde@kde.org>

SuSE series: doc

%package devel
Version:      1.1.1
Release:      20
Requires:     koffice kdelibs-devel
Obsoletes:    koffice-2.0,koffice-1.1rc1
Summary:      The build enviroment from KOffice
Group:        X11/KDE/Development

%description devel
The build enviroment from KOffice
You need this package to compile koffice applications.

Authors:
--------
    The KDE Team <kde@kde.org>

SuSE series: k2de

%prep
%setup
%patch
%patch1
%ifarch alpha
%patch2
%endif

%build
DEBUG="--disable-debug"
FINAL="--enable-final"
%ifarch alpha ppc s390
 FINAL="--disable-final"
%endif
%ifarch ia64 
 export OPT_LEVEL="-O0"
%else
 export OPT_LEVEL="-O2"
%endif
CXXFLAGS="$RPM_OPT_FLAGS $CXXFLAGS -DNDEBUG  $OPT_LEVEL " ./configure \
  --prefix=/opt/kde2 \
  $FINAL \
  $DEBUG  \
  --with-qt-dir=/usr/lib/qt2 \
  
make

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install-strip
rm -rf ${RPM_BUILD_ROOT}/opt/kde2/share/apps/krayon
rm -rf ${RPM_BUILD_ROOT}/opt/kde2/share/doc/HTML/en/krayon
mkdir -p ${RPM_BUILD_ROOT}/etc/X11/susewm/AddEntrys/SuSE/Graphics/Editor/
echo 'Exec=/opt/kde2/bin/krayon' > \
     ${RPM_BUILD_ROOT}/etc/X11/susewm/AddEntrys/SuSE/Graphics/Editor/koffice-fix.desktop
export KDEDOCDIR=/usr/share/doc/KDE-API/
DOCLIST=${RPM_BUILD_DIR}/koffice.doc.list
if [ -x /opt/kde2/bin/makekdedoc -a -x /opt/kde2/bin/meinproc ]; then
     cd lib
     makekdedoc --libdir=${RPM_BUILD_ROOT}/$KDEDOCDIR/kdoc-reference \
                --kdocopt='--skip-internal --compress' \
                --url=${KDEDOCDIR} \
                --outputdir=${RPM_BUILD_ROOT}/${KDEDOCDIR}
    cd ..
    makekdedoc --libdir=${RPM_BUILD_ROOT}/$KDEDOCDIR/kdoc-reference \
               --kdocopt='--skip-internal --compress' \
               --url=${KDEDOCDIR} \
               --outputdir=${RPM_BUILD_ROOT}/${KDEDOCDIR}
     echo "%doc /usr/share/doc/KDE-API/kdoc-reference/*" >$DOCLIST
     rm -f ${RPM_BUILD_ROOT}/usr/share/doc/KDE-API/kdoc-reference/interfaces.kdoc.gz
     for i in `sed -e '/^#/d' -n -e 's@\([^:]*\).*@\1@p' %SOURCE4`; do
        [ "$i" ] || continue
        sed -n -e 's@'"${i}"':\(.*\)@\1@p' %SOURCE4 \
            >> ${RPM_BUILD_ROOT}/${KDEDOCDIR}/${i}/description.SuSEconfig
        echo "koffice" \
            >> ${RPM_BUILD_ROOT}/${KDEDOCDIR}/${i}/package.SuSEconfig
        echo "%doc /usr/share/doc/KDE-API/${i}" \
            >> $DOCLIST
     done
else
	touch ${DOCLIST}
fi

%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%doc COPYING COPYING.LIB ChangeLog INSTALL README 
/opt/kde2/bin/*
/opt/kde2/lib/*.so*
/opt/kde2/lib/*.la
/opt/kde2/lib/kde2/*
/opt/kde2/share/applnk/Office/*
/opt/kde2/share/apps/*
/opt/kde2/share/doc/HTML/en/*
/opt/kde2/share/icons/??color/??x??/*/*
/opt/kde2/share/mimelnk/*/*
/opt/kde2/share/services/*
/opt/kde2/share/servicetypes/*
/opt/kde2/share/templates
/etc/X11/susewm/AddEntrys/SuSE/Graphics/Editor/koffice-fix.desktop

%files devel
/opt/kde2/include/*

%files devel-doc -f ../koffice.doc.list

%changelog -n koffice
* Fri Dec 14 2001 - adrian@suse.de
- remove unneeded documentation
* Wed Dec 12 2001 - adrian@suse.de
- update to second try of final 1.1.1 version
* Tue Dec 11 2001 - adrian@suse.de
- update to version 1.1.1
* Wed Nov 14 2001 - ro@suse.de
- use kde2-devel-packages in neededforbuild
* Thu Nov 08 2001 - ro@suse.de
- use qt-devel-packages
* Fri Aug 24 2001 - adrian@suse.de
- update to real final 1.1 tar ball
  * Drawing of selection in a justified paragraph
  * Correct ruler offset when scrolling (big bug !)
  * Some UI issue in the paragdia.
- post 1.1 fix for tab allignement in kword
* Mon Aug 20 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Thu Aug 16 2001 - adrian@suse.de
- update to 1.1
* Mon Aug 06 2001 - adrian@suse.de
- drop application API documentation. lib API is enough.
* Thu Aug 02 2001 - adrian@suse.de
- add KDE 2.2 support
* Thu Jul 26 2001 - adrian@suse.de
- fixed file list (fixes plugin problems in kivio)
- add all application classes to API documentation
* Tue Jul 24 2001 - adrian@suse.de
- update to 1.1rc1
* Fri Jul 06 2001 - adrian@suse.de
- fix #neededforbuild (add freetype2)
- generate API documentation
* Mon Jun 18 2001 - adrian@suse.de
- update to 1.1beta3
* Thu May 17 2001 - adrian@suse.de
- update to 1.1beta2
* Sat Apr 21 2001 - adrian@suse.de
- using updated 1.1beta1 tar ball
  (fixed crash in kword by using letter)
* Fri Apr 20 2001 - adrian@suse.de
- update to 1.1 beta 1
* Fri Mar 30 2001 - ro@suse.de
- neededforbuild fix
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Wed Mar 21 2001 - adrian@suse.de
- using official tar ball
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- removed second occurence of docbk30 from neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Wed Feb 28 2001 - ro@suse.de
- added fam to neededforbuild
- added stdlib.h include in kspread_canvas.cc
* Sun Jan 07 2001 - adrian@suse.de
- change icon handling
* Sun Dec 17 2000 - adrian@suse.de
- fix icon file conflicts
* Wed Dec 13 2000 - adrian@suse.de
- update to current 2_0_BRANCH
* Thu Nov 30 2000 - adrian@suse.de
- update to 2.0.1
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Thu Nov 16 2000 - adrian@suse.de
- New version from KDE_2_0_BRANCH
* Mon Nov 06 2000 - ro@suse.de
- fixed specfile
* Tue Oct 17 2000 - adrian@suse.de
- update to 2.0.0
* Tue Sep 12 2000 - adrian@suse.de
- update to RC 1
* Tue Aug 22 2000 - adrian@suse.de
- drop -j 6
* Mon Aug 21 2000 - adrian@suse.de
- update to beta 4 / 1.93
* Mon Jul 24 2000 - adrian@suse.de
- update to second try of beta 3
* Fri Jul 21 2000 - adrian@suse.de
- update to beta 3
* Tue Jul 18 2000 - adrian@suse.de
- update to snapshot from 17.07.2000
* Sun Jul 09 2000 - adrian@suse.de
- update to snapshot from 06.07.2000
* Fri Jun 09 2000 - adrian@suse.de
- update to 1.91; beta 2
* Tue Jun 06 2000 - adrian@suse.de
- snapshot from 06.06.2000
* Sun May 28 2000 - adrian@suse.de
- snapshot from 28.05.2000
  new type of spec file
* Fri May 12 2000 - adrian@suse.de
- update to KDE 1.90 version
* Sat Apr 29 2000 - adrian@suse.de
- newer snapshot from 25.04.2000
* Wed Apr 19 2000 - adrian@suse.de
- first snapshot from 17.04.2000
  still pre beta
